summaryrefslogtreecommitdiffstats
path: root/development/vscode
diff options
context:
space:
mode:
author Andre Barboza2017-01-03 18:47:22 +0100
committer Willy Sudiarto Raharjo2017-01-03 18:52:48 +0100
commit97ba094ee62a6edb074530da390f412b201042b6 (patch)
tree7a81c9508d89cdb93f758dbc3e684ac2fc5848f2 /development/vscode
parentc0ebe655bc2cd1ae84714afa4a107970cde6890a (diff)
downloadslackbuilds-97ba094ee62a6edb074530da390f412b201042b6.tar.gz
development/vscode: Added (Development tool).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development/vscode')
-rw-r--r--development/vscode/README6
-rw-r--r--development/vscode/doinst.sh9
-rw-r--r--development/vscode/slack-desc19
-rw-r--r--development/vscode/vscode.SlackBuild99
-rw-r--r--development/vscode/vscode.desktop9
-rw-r--r--development/vscode/vscode.info10
6 files changed, 152 insertions, 0 deletions
diff --git a/development/vscode/README b/development/vscode/README
new file mode 100644
index 0000000000..bd0779ab87
--- /dev/null
+++ b/development/vscode/README
@@ -0,0 +1,6 @@
+Visual Studio Code.
+
+VS Code is a new type of tool that combines the simplicity of a code
+editor with what developers need for their core edit-build-debug
+cycle. Code provides comprehensive editing and debugging support, an
+extensibility model, and lightweight integration with existing tools.
diff --git a/development/vscode/doinst.sh b/development/vscode/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/development/vscode/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/development/vscode/slack-desc b/development/vscode/slack-desc
new file mode 100644
index 0000000000..bfac5700c4
--- /dev/null
+++ b/development/vscode/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+vscode: vscode (Build and debug modern web and cloud applications)
+vscode:
+vscode: VS Code is a new type of tool that combines the simplicity of a code
+vscode: editor with what developers need for their core edit-build-debug
+vscode: cycle. Code provides comprehensive editing and debugging support, an
+vscode: extensibility model, and lightweight integration with existing tools.
+vscode:
+vscode:
+vscode:
+vscode: https://github.com/Microsoft/vscode/
+vscode:
diff --git a/development/vscode/vscode.SlackBuild b/development/vscode/vscode.SlackBuild
new file mode 100644
index 0000000000..6390a5cae8
--- /dev/null
+++ b/development/vscode/vscode.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+
+# Slackware build script for Microsoft VSCode
+
+# Copyright 2017 Andre Barboza, Belo Horizonte
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=vscode
+VERSION=${VERSION:-1.8.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=${ARCH:-$(uname -m)}
+case "$ARCH" in
+ i?86)
+ ARCH=i586
+ BUILDARCH=ia32
+ ;;
+ x86_64)
+ BUILDARCH=x64
+ ;;
+ *)
+ echo "$ARCH is not supported"
+ exit 1
+ ;;
+esac
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCDIR
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+./scripts/npm.sh install --arch=$BUILDARCH --unsafe-perm
+./node_modules/.bin/gulp vscode-linux-${BUILDARCH}-min
+
+cd $TMP/VSCode-linux-$BUILDARCH
+
+# Copy binary files
+mkdir -p "${PKG}/opt/${PRGNAM}-${VERSION}"
+cp -rvf * "${PKG}/opt/${PRGNAM}-${VERSION}" -R
+
+# Link executable to usr/bin
+mkdir -p "${PKG}/usr/bin"
+ln -s "/opt/${PRGNAM}-${VERSION}/bin/code-oss" "${PKG}"/usr/bin/code-oss
+
+# copy desktop shortcut
+mkdir -p "${PKG}/usr/share/applications"
+install -m644 "${CWD}/${PRGNAM}.desktop" "${PKG}/usr/share/applications/${PRGNAM}.desktop"
+
+# copy vscode icon
+mkdir -p "${PKG}/usr/share/icons"
+install -m644 "${PKG}/opt/${PRGNAM}-${VERSION}/resources/app/resources/linux/code.png" \
+ "${PKG}/usr/share/icons/${PRGNAM}.png"
+
+# copy license and slackbuild
+mkdir -p "$PKG/usr/doc/$PRGNAM-$VERSION"
+( cd resources/app
+ cp -raf LICENSE.txt ThirdPartyNotices.txt "$PKG/usr/doc/$PRGNAM-$VERSION"
+)
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/vscode/vscode.desktop b/development/vscode/vscode.desktop
new file mode 100644
index 0000000000..9b0a9eb995
--- /dev/null
+++ b/development/vscode/vscode.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Name=VS Code
+GenericName=Visual Studio Code - Open Source
+Categories=Development;IDE
+Exec=/usr/bin/code-oss %F
+Icon=vscode
+Terminal=false
+Type=Application
+Comment=Editor for building and debugging modern web and cloud applications
diff --git a/development/vscode/vscode.info b/development/vscode/vscode.info
new file mode 100644
index 0000000000..bbcba03252
--- /dev/null
+++ b/development/vscode/vscode.info
@@ -0,0 +1,10 @@
+PRGNAM="vscode"
+VERSION="1.8.1"
+HOMEPAGE="https://code.visualstudio.com/"
+DOWNLOAD="https://github.com/Microsoft/vscode/archive/1.8.1/vscode-1.8.1.tar.gz"
+MD5SUM="384a0da09d1df4c1a85d9513447fc627"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="nodejs"
+MAINTAINER="Andre Barboza"
+EMAIL="bmg.andre@gmail.com"